declare const _default: {
    name: string;
    components: {
        optionService: {
            components: {};
            props: {
                formInfo: {
                    type: ObjectConstructor;
                    default: () => {
                        btnTitle: any;
                    };
                };
                dialogVisible: {};
                title: {};
                formKey: {};
                projectId: {};
                store: {};
            };
            data(): {
                popUp: boolean;
                form: {
                    title: string;
                    explain: string;
                    resubmit: string;
                    apiConfig: any[];
                    equally: string;
                    position: string;
                };
                config: string;
                cascader: any[];
                options: any[];
                apiData: any[];
                apiTitle: string;
                apiShow: boolean;
                apiForm: {
                    apiType: string;
                    apiName: string;
                };
                apiRules: {
                    apiType: {
                        required: boolean;
                        message: string;
                        trigger: string;
                    }[];
                };
                tableData: any[];
                option: any[];
                value: string;
                metaField: any[];
            };
            watch: {
                dialogVisible(val: any): void;
                formInfo: {
                    handler(newVal: any): void;
                    deep: boolean;
                };
                formKey: {
                    handler(): void;
                };
            };
            mounted(): void;
            methods: {
                handleCancel(): void;
                handlerCanCelApi(): void;
                handleOk(): void;
            };
        };
    };
    props: {
        element: {};
        moddle: {};
        form: {
            type: ObjectConstructor;
        };
        subItem: {
            type: ObjectConstructor;
        };
        projectId: {};
        label: {};
        attr: {};
    };
    data(): {
        tableData: any[];
        situationData: {
            title: string;
            btnTitle: string;
            id: string;
            explain: string;
            enable: boolean;
            disabled: boolean;
            apiConfig: any[];
        }[];
        draftData: {
            title: string;
            btnTitle: string;
            id: string;
            explain: string;
            enable: boolean;
            disabled: boolean;
            apiConfig: any[];
        }[];
        linkData: ({
            title: string;
            btnTitle: string;
            id: string;
            explain: string;
            enable: boolean;
            disabled: boolean;
            apiConfig: any[];
            resubmit?: undefined;
            equally?: undefined;
            position?: undefined;
            tooltip?: undefined;
        } | {
            title: string;
            btnTitle: string;
            id: string;
            explain: string;
            enable: boolean;
            disabled: boolean;
            resubmit: string;
            apiConfig: any[];
            equally?: undefined;
            position?: undefined;
            tooltip?: undefined;
        } | {
            title: string;
            btnTitle: string;
            id: string;
            explain: string;
            equally: string;
            position: string;
            enable: boolean;
            disabled: boolean;
            apiConfig: any[];
            resubmit?: undefined;
            tooltip?: undefined;
        } | {
            title: string;
            btnTitle: string;
            id: string;
            explain: string;
            enable: boolean;
            disabled: boolean;
            apiConfig: any[];
            tooltip: string;
            resubmit?: undefined;
            equally?: undefined;
            position?: undefined;
        })[];
        dialogVisible: boolean;
        title: string;
        formInfo: {};
        btnConfig: any[];
        formKey: string;
    };
    watch: {
        label: {
            handler(newVal: any): void;
            deep: boolean;
        };
    };
    mounted(): Promise<void>;
    methods: {
        init(): void;
        handleChange(row: any): void;
        lookupParent(): any;
        handleEdit(row: any, index: any): void;
        handleCancel(): void;
        handleOk(form: any): void;
        handleInsert(): void;
        draftInsert(): void;
    };
};
export default _default;
