declare const _default: {
    components: {
        selectCandidateUser: {
            components: {};
            props: {
                designatedPerson: {
                    type: ArrayConstructor;
                };
                store: {};
            };
            data(): {
                loading: boolean;
                dialogVisible: boolean;
                orgSearch: string;
                userSearch: string;
                searchID: string;
                httpSouce: any;
                treeData: any[];
                defaultProps: {
                    children: string;
                    label: string;
                };
                total: number;
                page: number;
                pageSize: number;
                data: any[];
                selectedArr: any[];
                selectedIDs: any[];
            };
            mounted(): void;
            methods: {
                loadUser(): void;
                loadTree(node: any, callback: any): void;
                nodeClick(data: any, status: any): void;
                closeTag(tag: any): void;
                pageSizeChange(pagesize: any): void;
                pageChange(page: any): void;
                handleSelectionChange(selected: any): void;
                selectedUser(row: any, index: any): void;
                setSelectArr(): void;
                filterSelected(): void;
                clearSearch(): void;
                open(): void;
                saveUserSelected(): void;
            };
        };
        selectCandidateOrg: {
            components: {};
            props: {
                designatedPerson: {
                    type: ArrayConstructor;
                };
                store: {};
            };
            data(): {
                loading: boolean;
                dialogVisible: boolean;
                orgSearch: string;
                searchID: string;
                httpSouce: any;
                treeData: any[];
                defaultProps: {
                    children: string;
                    label: string;
                };
                selectedArr: any[];
            };
            methods: {
                loadTree(node: any, callback: any): void;
                nodeClick(selected: any, row: any): void;
                saveSelected(): void;
                closeTag(tag: any): void;
                setSelectArr(): void;
                open(): void;
            };
        };
        selectCandidateRole: {
            components: {};
            props: {
                designatedPerson: {
                    type: ArrayConstructor;
                };
                store: {};
            };
            data(): {
                loading: boolean;
                dialogVisible: boolean;
                userSearch: string;
                searchID: string;
                httpSouceType: string;
                httpSouce: {
                    public: any;
                    default: string;
                };
                total: number;
                page: number;
                pageSize: number;
                data: any[];
                selectedArr: any[];
                AppID: any;
            };
            mounted(): void;
            methods: {
                load(): void;
                searchUser(): void;
                pageSizeChange(pagesize: any): void;
                pageChange(page: any): void;
                closeTag(tag: any): void;
                handleSelectionChange(selected: any): void;
                selectedUser(row: any, index: any): void;
                filterSelected(): void;
                setSelectArr(): void;
                saveSelected(): void;
                open(): void;
            };
        };
        selectCandidateHandler: {
            props: {
                designatedPerson: {
                    type: ArrayConstructor;
                };
                store: {};
            };
            data(): {
                dialogVisible: boolean;
                userSearch: string;
                searchID: string;
                httpSouce: any;
                total: number;
                page: number;
                pageSize: number;
                data: any[];
                selectedArr: any[];
                AppID: any;
                handlerID: string;
            };
            mounted(): void;
            methods: {
                load(): void;
                saveSelected(): void;
                setSelectArr(): void;
                open(): void;
            };
        };
    };
    props: {
        element: {};
        modeling: {};
        moddle: {};
        subItem: {
            type: ObjectConstructor;
        };
        form: {
            type: ObjectConstructor;
        };
        formKey: {};
        formLoopCharacteristics: {};
        model: {
            type: StringConstructor;
        };
        projectId: {};
        store: {};
        doSelect: {
            type: FunctionConstructor;
        };
    };
    data(): {
        loopCharacteristics: string;
        candidates: any;
        options: {
            label: string;
            value: number;
        }[];
        cascaderOptions: any[];
        cascValue: any[];
        filedsArr: any[];
        checked: boolean;
        keyType: string;
        selectedForm: string;
        formFiled: string;
        config: any;
        loading: boolean;
        userRadio: number;
        designatedPerson: {
            user: any[];
            org: any[];
            role: any[];
            handler: any[];
            userOrchFunc: any[];
            groupOrchFunc: any[];
        };
        serviesUser: any[];
        serviesOptions: any[];
        serviesTable: any[];
        formOption: any[];
        tableOption: any[];
        radios: {
            value: number;
            label: string;
            componentName: string;
            bpmnLabel: string;
            clearLabel: string;
            candidateType: string;
            code: string;
        }[];
        fileds: string;
        Gateway: any[];
        isCarbonCopy: boolean;
    };
    watch: {
        formLoopCharacteristics: {
            handler(val: any): void;
            deep: boolean;
        };
    };
    mounted(): void;
    methods: {
        open(index: any): void;
        handleCacs(e: any): void;
        changeRadio(label: any): void;
        getetExtensionElements(extensionElements: any): any;
        remoteMethod(query: any): void;
        saveSelected(selected: any): void;
        setCandidates(users: any, radio: any): void;
        updateForm(isExtensionElements: any, bpmnLabel: any, type: any, v: any): void;
        setMultiInstanceUsers(): void;
        isGateway(Gateway: any): any;
        selectFun(): Promise<void>;
        handleClose(item: any, index: any): void;
        isCarbonCopyChange(val: any): void;
    };
};
export default _default;
