declare const _default: {
    components: {};
    props: {
        dialogVisible: {};
        title: {};
        formInfo: {};
        edit: {};
    };
    data(): {
        popUp: boolean;
        form: {
            id: string;
            name: string;
            type: string;
            required: boolean;
            readable: boolean;
            writable: boolean;
            default: string;
            datePattern: string;
            enumData: any[];
        };
        rules: {
            id: ({
                required: boolean;
                message: string;
                trigger: string;
                pattern?: undefined;
            } | {
                pattern: RegExp;
                message: string;
                required?: undefined;
                trigger?: undefined;
            })[];
            name: {
                required: boolean;
                message: string;
                trigger: string;
            }[];
            type: {
                required: boolean;
                message: string;
                trigger: string;
            }[];
        };
        options: {
            value: string;
            label: string;
        }[];
        enumOption: any[];
        enumRules: boolean;
    };
    watch: {
        dialogVisible(val: any): void;
        formInfo: {
            handler(newValue: any): void;
            deep: boolean;
        };
    };
    methods: {
        handlePuls(): void;
        handleError(row: any, index: any): void;
        enumChange(): void;
        emptyDefalut(): void;
        handleCancel(): void;
        handleOk(formName: any): void;
        resetForm(): void;
    };
};
export default _default;
