import _ from 'lodash';
declare type PropertiesConfigDetail = {
    name?: {
        editable?: boolean;
    };
    id?: {
        editable?: boolean;
    };
    formKey?: {
        editable?: boolean;
    };
    optionSetting?: {
        editable?: boolean;
    };
    formProperty?: {
        editable?: boolean;
    };
    events?: {
        editable?: boolean;
    };
    limit?: {
        editable?: boolean;
    };
    taskMode?: {
        editable?: boolean;
    };
    userSelect?: {
        editable?: boolean;
    };
};
declare type PropertiesConfig = {
    process?: PropertiesConfigDetail;
    act?: PropertiesConfigDetail;
    formKeyForAuth?: string;
};
declare const _default: import("vue").DefineComponent<{
    showHeaders: {
        type: BooleanConstructor;
        default: boolean;
    };
    initialDefinition: any;
    processInfo: any;
    doSelect: any;
    getDefaultWfDefinition: any;
    readonly: {
        type: BooleanConstructor;
    };
    propertiesConfig: any;
}, {
    __sfc: boolean;
    props: {
        showHeaders: boolean;
        initialDefinition?: string;
        processInfo?: {
            processId?: string;
            processName?: string;
            processKey?: string;
            formKey?: string;
        };
        doSelect?: (code?: any) => Promise<any>;
        getDefaultWfDefinition?: (processId?: any, processName?: any, processKey?: any, formKey?: any) => string | Promise<string>;
        readonly?: boolean;
        propertiesConfig?: PropertiesConfig;
    };
    bpmnModeler: any;
    canvas: import("vue").Ref<string>;
    paletteItems: import("vue").Ref<{}>;
    selectedElement: any;
    propertiesPanel: import("vue").Ref<string>;
    afterResetSuccess: () => void;
    afterResetError: (err: any) => void;
    processElement: any;
    context: {
        bpmnModeler: any;
    };
    getProcessInfo: () => {
        processId: any;
        processName: any;
        processKey: any;
    };
    client: import("vue").Ref<{}>;
    CustomPropertiesPanelPanel: {
        components: {
            singleText: {
                components: {};
                props: {
                    subItem: {
                        type: ObjectConstructor;
                    };
                    form: {
                        type: ObjectConstructor;
                    };
                    model: {
                        type: StringConstructor;
                    };
                    store: {};
                };
                data(): {
                    value: any;
                };
                computed: {};
                methods: {
                    updateForm(bpmnLabel: any, type: any, v: any): void;
                };
            };
            selectForm: {
                components: {
                    formPermissions: {
                        props: {
                            fullPageId: StringConstructor;
                            pageInfo: ObjectConstructor;
                            element: {};
                        };
                        data(): {
                            variableClone: {};
                            p: string;
                            dialogVisible: boolean;
                            actAuth: {
                                actId: string;
                                componentAuthConfig: any[];
                                authIndex: any;
                            };
                            componentAuthConfig: {
                                form: any[];
                                other: any[];
                            };
                        };
                        methods: {
                            open(): void;
                            onSubmit(): void;
                            pageAnalysisAuth(body: any, componentAuthConfig: any): void;
                            addComponentAuthConfig(type: any): void;
                            deletComponentAuthConfig(type: any, index: any): void;
                            init(): void;
                        };
                    };
                    globalFormPermissions: {
                        props: {
                            fullPageId: StringConstructor;
                            pageInfo: ObjectConstructor;
                            element: {};
                        };
                        data(): {
                            allformActAuths: {
                                formKeyOptions: any[];
                                selectFormKey: any;
                                auths: {};
                                bpmnTasks: any[];
                            };
                            dialogVisible: boolean;
                            ModalWidth: string;
                            statusValue: {
                                '': string;
                                visible: string;
                                hidden: string;
                                readonly: string;
                                editable: string;
                            };
                            setComponentId: any;
                        };
                        methods: {
                            open(): void;
                            onSubmit(): void;
                            pageAnalysisAuth(body: any, componentAuthConfig: any): void;
                            addComponentAuthConfig(type: any, auth: any): void;
                            deletComponentAuthConfig(type: any, index: any, auth: any): void;
                            init(): Promise<void>;
                            changeComponentAuthConfig(pageInfo: any): any;
                        };
                    };
                };
                props: {
                    element: {};
                    modeling: {};
                    moddle: {};
                    subItem: {
                        type: ObjectConstructor;
                    };
                    form: {
                        type: ObjectConstructor;
                    };
                    formKey: {};
                    model: {
                        type: StringConstructor;
                    };
                    projectId: {};
                    store: {};
                    doSelect: {
                        type: FunctionConstructor;
                    };
                    externalFormKey: {
                        type: StringConstructor;
                    };
                };
                data(): {
                    config: any;
                    loading: boolean;
                    selectRadio: number;
                    select: {
                        page: any[];
                    };
                    radios: {
                        value: number;
                        label: string;
                        componentName: any;
                        candidateType: string;
                        code: string;
                    }[];
                    fullPageId: any;
                    pageInfo: {};
                    globalPage: {
                        id: any;
                        title: any;
                        pageInfo: any;
                    };
                    externalPage: {
                        id: any;
                        title: any;
                        pageInfo: any;
                    };
                    selectPageInfo: {};
                };
                mounted(): Promise<boolean>;
                methods: {
                    open(index: any, item: any): Promise<void>;
                    changeRadio(): void;
                    handleClose(item: any, index: any): void;
                    setPermissions(item: any): void;
                    permissionsSubmit(pageInfo: any): void;
                };
            };
            userSelect: {
                components: {
                    selectCandidateUser: {
                        components: {};
                        props: {
                            designatedPerson: {
                                type: ArrayConstructor;
                            };
                            store: {};
                        };
                        data(): {
                            loading: boolean;
                            dialogVisible: boolean;
                            orgSearch: string;
                            userSearch: string;
                            searchID: string;
                            httpSouce: any;
                            treeData: any[];
                            defaultProps: {
                                children: string;
                                label: string;
                            };
                            total: number;
                            page: number;
                            pageSize: number;
                            data: any[];
                            selectedArr: any[];
                            selectedIDs: any[];
                        };
                        mounted(): void;
                        methods: {
                            loadUser(): void;
                            loadTree(node: any, callback: any): void;
                            nodeClick(data: any, status: any): void;
                            closeTag(tag: any): void;
                            pageSizeChange(pagesize: any): void;
                            pageChange(page: any): void;
                            handleSelectionChange(selected: any): void;
                            selectedUser(row: any, index: any): void;
                            setSelectArr(): void;
                            filterSelected(): void;
                            clearSearch(): void;
                            open(): void;
                            saveUserSelected(): void;
                        };
                    };
                    selectCandidateOrg: {
                        components: {};
                        props: {
                            designatedPerson: {
                                type: ArrayConstructor;
                            };
                            store: {};
                        };
                        data(): {
                            loading: boolean;
                            dialogVisible: boolean;
                            orgSearch: string;
                            searchID: string;
                            httpSouce: any;
                            treeData: any[];
                            defaultProps: {
                                children: string;
                                label: string;
                            };
                            selectedArr: any[];
                        };
                        methods: {
                            loadTree(node: any, callback: any): void;
                            nodeClick(selected: any, row: any): void;
                            saveSelected(): void;
                            closeTag(tag: any): void;
                            setSelectArr(): void;
                            open(): void;
                        };
                    };
                    selectCandidateRole: {
                        components: {};
                        props: {
                            designatedPerson: {
                                type: ArrayConstructor;
                            };
                            store: {};
                        };
                        data(): {
                            loading: boolean;
                            dialogVisible: boolean;
                            userSearch: string;
                            searchID: string;
                            httpSouceType: string;
                            httpSouce: {
                                public: any;
                                default: string;
                            };
                            total: number;
                            page: number;
                            pageSize: number;
                            data: any[];
                            selectedArr: any[];
                            AppID: any;
                        };
                        mounted(): void;
                        methods: {
                            load(): void;
                            searchUser(): void;
                            pageSizeChange(pagesize: any): void;
                            pageChange(page: any): void;
                            closeTag(tag: any): void;
                            handleSelectionChange(selected: any): void;
                            selectedUser(row: any, index: any): void;
                            filterSelected(): void;
                            setSelectArr(): void;
                            saveSelected(): void;
                            open(): void;
                        };
                    };
                    selectCandidateHandler: {
                        props: {
                            designatedPerson: {
                                type: ArrayConstructor;
                            };
                            store: {};
                        };
                        data(): {
                            dialogVisible: boolean;
                            userSearch: string;
                            searchID: string;
                            httpSouce: any;
                            total: number;
                            page: number;
                            pageSize: number;
                            data: any[];
                            selectedArr: any[];
                            AppID: any;
                            handlerID: string;
                        };
                        mounted(): void;
                        methods: {
                            load(): void;
                            saveSelected(): void;
                            setSelectArr(): void;
                            open(): void;
                        };
                    };
                };
                props: {
                    element: {};
                    modeling: {};
                    moddle: {};
                    subItem: {
                        type: ObjectConstructor;
                    };
                    form: {
                        type: ObjectConstructor;
                    };
                    formKey: {};
                    formLoopCharacteristics: {};
                    model: {
                        type: StringConstructor;
                    };
                    projectId: {};
                    store: {};
                    doSelect: {
                        type: FunctionConstructor;
                    };
                };
                data(): {
                    loopCharacteristics: string;
                    candidates: any;
                    options: {
                        label: string;
                        value: number;
                    }[];
                    cascaderOptions: any[];
                    cascValue: any[];
                    filedsArr: any[];
                    checked: boolean;
                    keyType: string;
                    selectedForm: string;
                    formFiled: string;
                    config: any;
                    loading: boolean;
                    userRadio: number;
                    designatedPerson: {
                        user: any[];
                        org: any[];
                        role: any[];
                        handler: any[];
                        userOrchFunc: any[];
                        groupOrchFunc: any[];
                    };
                    serviesUser: any[];
                    serviesOptions: any[];
                    serviesTable: any[];
                    formOption: any[];
                    tableOption: any[];
                    radios: {
                        value: number;
                        label: string;
                        componentName: string;
                        bpmnLabel: string;
                        clearLabel: string;
                        candidateType: string;
                        code: string;
                    }[];
                    fileds: string;
                    Gateway: any[];
                    isCarbonCopy: boolean;
                };
                watch: {
                    formLoopCharacteristics: {
                        handler(val: any): void;
                        deep: boolean;
                    };
                };
                mounted(): void;
                methods: {
                    open(index: any): void;
                    handleCacs(e: any): void;
                    changeRadio(label: any): void;
                    getetExtensionElements(extensionElements: any): any;
                    remoteMethod(query: any): void;
                    saveSelected(selected: any): void;
                    setCandidates(users: any, radio: any): void;
                    updateForm(isExtensionElements: any, bpmnLabel: any, type: any, v: any): void;
                    setMultiInstanceUsers(): void;
                    isGateway(Gateway: any): any;
                    selectFun(): Promise<void>;
                    handleClose(item: any, index: any): void;
                    isCarbonCopyChange(val: any): void;
                };
            };
            optionSetting: {
                name: string;
                components: {
                    optionService: {
                        components: {};
                        props: {
                            formInfo: {
                                type: ObjectConstructor;
                                default: () => {
                                    btnTitle: any;
                                };
                            };
                            dialogVisible: {};
                            title: {};
                            formKey: {};
                            projectId: {};
                            store: {};
                        };
                        data(): {
                            popUp: boolean;
                            form: {
                                title: string;
                                explain: string;
                                resubmit: string;
                                apiConfig: any[];
                                equally: string;
                                position: string;
                            };
                            config: string;
                            cascader: any[];
                            options: any[];
                            apiData: any[];
                            apiTitle: string;
                            apiShow: boolean;
                            apiForm: {
                                apiType: string;
                                apiName: string;
                            };
                            apiRules: {
                                apiType: {
                                    required: boolean;
                                    message: string;
                                    trigger: string;
                                }[];
                            };
                            tableData: any[];
                            option: any[];
                            value: string;
                            metaField: any[];
                        };
                        watch: {
                            dialogVisible(val: any): void;
                            formInfo: {
                                handler(newVal: any): void;
                                deep: boolean;
                            };
                            formKey: {
                                handler(): void;
                            };
                        };
                        mounted(): void;
                        methods: {
                            handleCancel(): void;
                            handlerCanCelApi(): void;
                            handleOk(): void;
                        };
                    };
                };
                props: {
                    element: {};
                    moddle: {};
                    form: {
                        type: ObjectConstructor;
                    };
                    subItem: {
                        type: ObjectConstructor;
                    };
                    projectId: {};
                    label: {};
                    attr: {};
                };
                data(): {
                    tableData: any[];
                    situationData: {
                        title: string;
                        btnTitle: string;
                        id: string;
                        explain: string;
                        enable: boolean;
                        disabled: boolean;
                        apiConfig: any[];
                    }[];
                    draftData: {
                        title: string;
                        btnTitle: string;
                        id: string;
                        explain: string;
                        enable: boolean;
                        disabled: boolean;
                        apiConfig: any[];
                    }[];
                    linkData: ({
                        title: string;
                        btnTitle: string;
                        id: string;
                        explain: string;
                        enable: boolean;
                        disabled: boolean;
                        apiConfig: any[];
                        resubmit?: undefined;
                        equally?: undefined;
                        position?: undefined;
                        tooltip?: undefined;
                    } | {
                        title: string;
                        btnTitle: string;
                        id: string;
                        explain: string;
                        enable: boolean;
                        disabled: boolean;
                        resubmit: string;
                        apiConfig: any[];
                        equally?: undefined;
                        position?: undefined;
                        tooltip?: undefined;
                    } | {
                        title: string;
                        btnTitle: string;
                        id: string;
                        explain: string;
                        equally: string;
                        position: string;
                        enable: boolean;
                        disabled: boolean;
                        apiConfig: any[];
                        resubmit?: undefined;
                        tooltip?: undefined;
                    } | {
                        title: string;
                        btnTitle: string;
                        id: string;
                        explain: string;
                        enable: boolean;
                        disabled: boolean;
                        apiConfig: any[];
                        tooltip: string;
                        resubmit?: undefined;
                        equally?: undefined;
                        position?: undefined;
                    })[];
                    dialogVisible: boolean;
                    title: string;
                    formInfo: {};
                    btnConfig: any[];
                    formKey: string;
                };
                watch: {
                    label: {
                        handler(newVal: any): void;
                        deep: boolean;
                    };
                };
                mounted(): Promise<void>;
                methods: {
                    init(): void;
                    handleChange(row: any): void;
                    lookupParent(): any;
                    handleEdit(row: any, index: any): void;
                    handleCancel(): void;
                    handleOk(form: any): void;
                    handleInsert(): void;
                    draftInsert(): void;
                };
            };
            newVariable: {
                components: {
                    createVariable: {
                        components: {};
                        props: {
                            dialogVisible: {};
                            title: {};
                            formInfo: {};
                            edit: {};
                        };
                        data(): {
                            popUp: boolean;
                            form: {
                                id: string;
                                name: string;
                                type: string;
                                required: boolean;
                                readable: boolean;
                                writable: boolean;
                                default: string;
                                datePattern: string;
                                enumData: any[];
                            };
                            rules: {
                                id: ({
                                    required: boolean;
                                    message: string;
                                    trigger: string;
                                    pattern?: undefined;
                                } | {
                                    pattern: RegExp;
                                    message: string;
                                    required?: undefined;
                                    trigger?: undefined;
                                })[];
                                name: {
                                    required: boolean;
                                    message: string;
                                    trigger: string;
                                }[];
                                type: {
                                    required: boolean;
                                    message: string;
                                    trigger: string;
                                }[];
                            };
                            options: {
                                value: string;
                                label: string;
                            }[];
                            enumOption: any[];
                            enumRules: boolean;
                        };
                        watch: {
                            dialogVisible(val: any): void;
                            formInfo: {
                                handler(newValue: any): void;
                                deep: boolean;
                            };
                        };
                        methods: {
                            handlePuls(): void;
                            handleError(row: any, index: any): void;
                            enumChange(): void;
                            emptyDefalut(): void;
                            handleCancel(): void;
                            handleOk(formName: any): void;
                            resetForm(): void;
                        };
                    };
                };
                props: {
                    subItem: {};
                    element: {};
                    modeling: {};
                    moddle: {};
                    client: {};
                    form: {};
                    store: {};
                };
                data(): {
                    tableData: any[];
                    dialogVisible: boolean;
                    title: string;
                    edit: boolean;
                    formInfo: {};
                };
                mounted(): void;
                methods: {
                    init(): void;
                    transformation(type: any): any;
                    handleAdd(): void;
                    handleEdit(row: any, index: any): void;
                    handleDelete(row: any, index: any): void;
                    handleCancel(): void;
                    handleOk(form: any): void;
                    handleXml(values: any, index: any, form: any): void;
                };
            };
            events: {
                components: {
                    eventsOperate: {
                        props: {
                            isEdit: {
                                type: BooleanConstructor;
                            };
                            editIndex: {
                                type: NumberConstructor;
                            };
                            client: {};
                            events: {
                                type: ArrayConstructor;
                            };
                            type: {
                                type: StringConstructor;
                                required: boolean;
                                validator(value: any): boolean;
                            };
                            projectId: {};
                            buildDelegateExpression: {
                                type: FunctionConstructor;
                            };
                            store: {};
                            doSelect: {
                                type: FunctionConstructor;
                            };
                        };
                        data(): {
                            events_clone: any;
                            dialogVisible: boolean;
                            config: any;
                            eventType: {
                                process: {
                                    start: {
                                        name: string;
                                        title: string;
                                        code: string;
                                    };
                                    end: {
                                        name: string;
                                        title: string;
                                        code: string;
                                    };
                                };
                                task: {
                                    start: {
                                        name: string;
                                        title: string;
                                        code: string;
                                    };
                                    create: {
                                        name: string;
                                        title: string;
                                        code: string;
                                    };
                                    complete: {
                                        name: string;
                                        title: string;
                                        code: string;
                                    };
                                    end: {
                                        name: string;
                                        title: string;
                                        code: string;
                                    };
                                };
                                processAct: {
                                    ACTIVITY_STARTED: {
                                        name: string;
                                        title: string;
                                        code: string;
                                    };
                                    TASK_CREATED: {
                                        name: string;
                                        title: string;
                                        code: string;
                                    };
                                    TASK_COMPLETED: {
                                        name: string;
                                        title: string;
                                        code: string;
                                    };
                                    ACTIVITY_COMPLETED: {
                                        name: string;
                                        title: string;
                                        code: string;
                                    };
                                };
                                actionTypes: {
                                    default: {
                                        title: string;
                                        id: string;
                                    };
                                    fun: {
                                        title: string;
                                        id: string;
                                    };
                                };
                            };
                            formData: {
                                newEventName: string;
                                newEventHandler: string;
                                newEventConfigType: string;
                                newEventFuns: any[];
                            };
                            eventHandlerMap: any;
                            currentHoverRowIndex: number;
                            cascOptions: any[];
                            selectOptions: any[];
                            apiId: any;
                        };
                        watch: {
                            events(val: any): void;
                        };
                        mounted(): void;
                        methods: {
                            selectFun(): Promise<void>;
                            open(): void;
                            buildEventHandlerMap(): _.Dictionary<any>;
                            addEvent(formName: any): void;
                            updateEvent(formName: any): void;
                            handleClose(item: any, index: any): void;
                        };
                    };
                };
                props: {
                    element: {};
                    modeling: {};
                    moddle: {};
                    client: {};
                    subItem: {
                        type: ObjectConstructor;
                    };
                    form: {
                        type: ObjectConstructor;
                    };
                    model: {
                        type: StringConstructor;
                    };
                    projectId: {};
                    store: {};
                    doSelect: {
                        type: FunctionConstructor;
                    };
                };
                data(): {
                    events: any;
                    isEdit: boolean;
                    editIndex: any;
                    currentHoverRowIndex: number;
                };
                mounted(): void;
                methods: {
                    open(): void;
                    handleEdit(row: any): void;
                    getEvents(extensionElements: any, type: any): any[];
                    addEvent(evt: any, type: any): void;
                    updateEvent(evt: any, type: any, events: any): void;
                    deleteEvent(evt: any, rowIndex: any): void;
                    createActivitiFields(fields: any): any[];
                    getParamsConfig(evt: any): _.Dictionary<any>;
                    getEventTypeTitle(evt: any): any;
                    getEventHandlerTitle(evt: any): any;
                    getParamsTitle(evt: any, param: any): any;
                    paramReadonly(evt: any, param: any): any;
                    paramType(evt: any, param: any): any;
                    paramOptions(evt: any, param: any): any;
                    buildDelegateExpression(): string;
                };
            };
            limit: {
                components: {};
                props: {
                    subItem: {
                        type: ObjectConstructor;
                    };
                    element: {};
                    moddle: {};
                    store: {};
                };
                data(): {
                    limit: {
                        day: number;
                        hour: number;
                        minute: number;
                    };
                    select: string;
                    option: {
                        value: string;
                        label: string;
                    }[];
                    checkList: any[];
                    startFlowChart: boolean;
                    supportAppendix: boolean;
                    supportProcessAbort: boolean;
                };
                watch: {
                    limit: {
                        handler(newValue: any): void;
                        deep: boolean;
                    };
                };
                mounted(): void;
                methods: {
                    handleChange(name: any): void;
                    EchoTime(duration: any): void;
                    handlerMode(value: any): void;
                    alarmFun(value: any): void;
                };
            };
            taskMode: {
                components: {};
                props: {
                    subItem: {
                        type: ObjectConstructor;
                    };
                    form: {
                        type: ObjectConstructor;
                    };
                    model: {
                        type: StringConstructor;
                    };
                    store: {};
                };
                data(): {
                    radio: number;
                    rulesRadio: number;
                    bl: number;
                    rs: number;
                    options: {
                        value: number;
                        label: string;
                    }[];
                    passRules1: number;
                    passRules2: number;
                    rules: string;
                    attrs: {
                        'activiti:collection': any;
                        'activiti:elementVariable': any;
                    };
                };
                computed: {
                    scale(): number;
                };
                mounted(): void;
                methods: {
                    init(): void;
                    getRules(): string;
                    updateModeRulesOptions(val: any): void;
                    updateModeRules(): void;
                    updateMode(val: any): void;
                };
            };
            actVariables: {
                components: {
                    createOreditVar: {
                        props: {
                            isEdit: {
                                type: BooleanConstructor;
                            };
                            variable: {
                                type: ObjectConstructor;
                            };
                            variables: {
                                type: ArrayConstructor;
                            };
                        };
                        data(): {
                            variableClone: any;
                            dialogVisible: boolean;
                            rules: {
                                id: {
                                    type: string;
                                    required: boolean;
                                    pattern: RegExp;
                                    message: string;
                                }[];
                                name: {
                                    required: boolean;
                                    message: string;
                                }[];
                                scope: {
                                    required: boolean;
                                    message: string;
                                }[];
                                type: {
                                    required: boolean;
                                    message: string;
                                }[];
                                values: {
                                    type: string;
                                    defaultField: {
                                        type: string;
                                        fields: {
                                            id: {
                                                type: string;
                                                required: boolean;
                                                pattern: RegExp;
                                                message: string;
                                            };
                                            name: {
                                                type: string;
                                                required: boolean;
                                                message: string;
                                            };
                                        };
                                    };
                                }[];
                            };
                            types: {
                                value: string;
                                label: string;
                            }[];
                            defaultDatePattern: string;
                        };
                        methods: {
                            open(): void;
                            deleteValuesItem(index: any): void;
                            addValuesItem(): void;
                            handleDateChange(newDate: any): void;
                            onSubmit(formName: any, isEdit: any): void;
                        };
                    };
                };
                mixins: any[];
                props: {
                    element: {};
                    modeling: {};
                    moddle: {};
                    candidates: {
                        type: ObjectConstructor;
                        default: any;
                    };
                    subItem: {
                        type: ObjectConstructor;
                    };
                    form: {
                        type: ObjectConstructor;
                    };
                    model: {
                        type: StringConstructor;
                    };
                    store: {};
                };
                data(): {
                    variables: any[];
                    isEdit: boolean;
                    variableModel: {
                        id: any;
                        name: any;
                        type: string;
                        required: boolean;
                        readable: boolean;
                        writable: boolean;
                        default: any;
                        datePattern: any;
                        values: any[];
                    };
                };
                mounted(): void;
                methods: {
                    open(): void;
                    getTypeName(val: any): string;
                    createVar(variable: any): void;
                    updateVar(variable: any): void;
                    handleEdit(row: any, index: any): void;
                    deleteEvent(evt: any, rowIndex: any): void;
                };
            };
            extensionText: {
                props: {
                    subItem: {
                        type: ObjectConstructor;
                    };
                    form: {
                        type: ObjectConstructor;
                    };
                    model: {
                        type: ObjectConstructor;
                    };
                    store: {};
                };
                data(): {
                    value: any;
                };
                computed: {};
                mounted(): void;
                methods: {
                    updateForm(bpmnLabel: any, v: any): void;
                };
            };
            selectOrchFunc: {
                components: {};
                props: {
                    element: {};
                    modeling: {};
                    moddle: {};
                    subItem: {
                        type: ObjectConstructor;
                    };
                    form: {
                        type: ObjectConstructor;
                    };
                    formKey: {};
                    model: {
                        type: StringConstructor;
                    };
                    projectId: {};
                    store: {};
                    doSelect: {
                        type: FunctionConstructor;
                    };
                    externalFormKey: {
                        type: StringConstructor;
                    };
                };
                data(): {
                    config: any;
                    loading: boolean;
                    selectRadio: number;
                    select: {
                        fun: any[];
                    };
                    radios: {
                        value: number;
                        label: string;
                        componentName: any;
                        candidateType: string;
                        code: string;
                    }[];
                    outName: string;
                };
                mounted(): Promise<boolean>;
                methods: {
                    open(index: any, item: any): Promise<void>;
                    handleClose(item: any, index: any): void;
                    addOrchFunc(evt: any): void;
                    createActivitiFields(fields: any): any[];
                    getOrchFunc(extensionElements: any): void;
                    outNameInput(): void;
                };
            };
        };
        props: {
            bpmnModeler: {};
            client: {
                default: () => {};
            };
            clientId: {};
            store: {};
            doSelect: {
                type: FunctionConstructor;
            };
            readonly: {
                type: BooleanConstructor;
            };
            propertiesConfig: {
                type: ObjectConstructor;
            };
        };
        data(): {
            show: boolean;
            form: {};
            formModel: any;
            fomKey: any;
            businessObject: any;
            label: string;
            formProperty: any[];
            currentRow: string;
            nodeConfig: any;
            panelConfig: any;
            candidates: {
                title: string;
            };
            extensionElements: string;
            MultiInstanceLoopCharacteristics: string;
            formType: string[];
            isLock: boolean;
            LoopCharacteristics: any;
            preloading: boolean;
            formKey: any;
            attr: string;
            element: any;
            modeling: any;
            moddle: any;
        };
        computed: {
            tabStyle(): (name: any) => any;
        };
        watch: {
            bpmnModeler(model: any): void;
        };
        methods: {
            updateProps(): void;
            hide(): void;
            init(businessObj: any): void;
            runFun(funName: any, obj: any): void;
            lookupParent(parent: any): any;
            getExtensionElements(type: any): any;
            updateMultiInstanceLoopCharacteristics(val: any, rules: any, attrs: any): void;
            updateMultiInstanceLoopCharacteristicsCompletionCondition(type: any, val: any): void;
            updateFormExtensionElements(type: any, fieldName: any, v: any): void;
            updateConditionExpression(v: any): void;
            updateForm(type: any, v: any): void;
            updateFormProperty(): void;
            selectForm(v: any, item: any): void;
            handleRadio(radio: any): void;
            continued(time: any): void;
            selectMode(mode: any): void;
            alarmFun(fun: any): void;
            selectPage(obj: any): void;
            handleClick(tab: any, event: any): void;
            componentStatus(component: any): any;
        };
    };
    LcdpBpmnPalette: import("vue").DefineComponent<{
        paletteItems: any;
    }, {
        __sfc: boolean;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        paletteItems: any;
    }>>, {
        paletteItems: any;
    }>;
    LcdpBpmnControlBar: import("vue").DefineComponent<{
        bpmnModeler: any;
    }, {
        __sfc: boolean;
        props: {
            bpmnModeler: any;
        };
        defaultZoom: import("vue").Ref<number>;
        fullscreen: import("vue").Ref<boolean>;
        processZoomIn: (zoomStep?: number) => void;
        processZoomOut: (zoomStep?: number) => void;
        processReZoom: () => void;
        launchFullScreen: () => void;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        bpmnModeler: any;
    }>>, {
        bpmnModeler: any;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
    showHeaders: {
        type: BooleanConstructor;
        default: boolean;
    };
    initialDefinition: any;
    processInfo: any;
    doSelect: any;
    getDefaultWfDefinition: any;
    readonly: {
        type: BooleanConstructor;
    };
    propertiesConfig: any;
}>>, {
    showHeaders: boolean;
    initialDefinition: any;
    processInfo: any;
    doSelect: any;
    getDefaultWfDefinition: any;
    readonly: boolean;
    propertiesConfig: any;
}>;
export default _default;
