import { PropType } from 'vue';
import { GetDefinitionOpts } from './app-workflow-api';
declare const _default: {
    props: {
        workflowContext: {
            type: ObjectConstructor;
        };
        appContext: {
            type: PropType<GetDefinitionOpts>;
        };
        innerHeight: {
            type: NumberConstructor;
        };
    };
    data(): {
        diagramUrl: any;
        bpmnModeler: any;
        XmlDescribe: any;
        activities: any;
        highlightNodes: any[];
        locus: {
            columns: ({
                title: string;
                width: number;
                align: string;
                key: string;
                render: (h: any, params: any) => any;
            } | {
                title: string;
                key: string;
                width?: undefined;
                align?: undefined;
                render?: undefined;
            })[];
            data: any[];
            show: boolean;
            mouseout: boolean;
            entry: any;
        };
        panelHeight: any;
    };
    watch: {
        content: () => void;
    };
    mounted(): Promise<void>;
    methods: {
        mouseover(): void;
        mouseout(e: any): void;
        initBpmnModeler(): void;
        createDiagram(xml: any, bindingEvents?: boolean): Promise<void>;
        setNodeColor: (ids: any, newBpmn: any, colorClass: string) => void;
        bindEvents(): void;
        formatTime: (value: any) => string;
        formatSeconds(value: any): string;
        analysisTaksInfo(activitie: any): {
            completedDate: any;
            status: any;
            timeConsuming: any;
        };
    };
};
export default _default;
