import { FormEventContainerContext } from '@fly-vue/lcdp-iview';
export declare type EventMap = {
    [eventName: string]: (() => any)[];
};
/**
 * 工作流相关事件处理器基础类
 */
export declare class EventContainerSupport extends FormEventContainerContext {
    _beforeSubmitInterceptors: any[];
    _afterSubmitInterceptors: any[];
    constructor({ data }: {
        data: any;
    });
    /**
     * 自定义操作事件注册
     * @param {String} name - 事件名称
     * @param {Function} cb - 函数
     * @return {*}
     */
    on: (name: any, cb: any) => void;
    /** 自定义事件派发：执行所有已注册的自定义事件
     * @param {String} name - 事件名称
     * @param {String} params - 事件参数
     * @return {Boolean}
     */
    emit: (name: any, params?: any) => Promise<any>;
    /**
     * 注册提交前事件
     */
    beforeSubmit: (func: any) => any;
    /**
     * 注册提交成功后事件
     */
    afterSubmit: (func: any) => any;
    /**
     * 触发流程事件
     * @param eventName
     */
    emitSubmitEvent: (eventName: any, params: any) => Promise<boolean>;
}
